package com.ersg.openeas.common;

public class CEC {

	public static TechWSError Success = new TechWSError("Success","No Error");
	public static TechWSError InvalidConnectString = new TechWSError("InvalidConnectString","Invalid Connect String");
	public static TechWSError DataSourceUnavailable = new TechWSError("DataSourceUnavailable","Data Source Not Available");
	public static TechWSError DataLimitExceeded = new TechWSError("DataLimitExceeded","Data Limit Exceeded");
	public static TechWSError NoPrivilegeForOperation = new TechWSError("NoPrivilegeForOperation","No PriviledgePrivilege for Operation");
	public static TechWSError LanguageNotSupported = new TechWSError("LanguageNotSupported","Language Not Supported");
	public static TechWSError FunctionNotImplemented = new TechWSError("FunctionNotImplemented","Function Not Implemented");
	public static TechWSError EntryAlreadyExists = new TechWSError("EntryAlreadyExists","Cannot Create Entry - Primary Key Already Exists");
	public static TechWSError MissingData = new TechWSError("MissingData","Cannot Create Entry - Not All Required Data Specified");
	public static TechWSError InvalidData = new TechWSError("InvalidData","Cannot Create Entry - Invalid Data Specified");
	public static TechWSError ExceededAttachmentLimit = new TechWSError("ExceededAttachmentLimit","Cannot Create Entry - Exceeded Attachment Limit");
	public static TechWSError AttachmentDataNotSupported = new TechWSError("AttachmentDataNotSupported","Cannot Create Entry - Attachment Data Type Not Supported");
	public static TechWSError SessionIdInvalid = new TechWSError("SessionIdInvalid","Session ID Not Invalid - Connect Required");
	public static TechWSError OperationUnsupported = new TechWSError("OperationUnsupported","Operation Unsupported by Adapter");
	public static TechWSError WebServiceUnavailable = new TechWSError("WebServiceUnavailable","Web Service Unavailable");
	public static TechWSError MemoryAllocationError = new TechWSError("MemoryAllocationError","Memory allocation error occured in the web service.");

}
